Package: org.codehaus.groovy.grails.web.converters.configuration

## [Java] Class ChainedObjectMarshaller<C>

- org.codehaus.groovy.grails.web.converters.configuration.ChainedConverterConfiguration.ChainedObjectMarshaller

- All Implemented Interfaces and Traits:
    ObjectMarshaller

      @java.lang.SuppressWarnings("hiding")
      public class ChainedConverterConfiguration.ChainedObjectMarshaller

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ChainedConverterConfiguration.ChainedObjectMarshaller (ObjectMarshaller<C> om, ChainedObjectMarshaller<C> next)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `ObjectMarshaller<C>` | `findMarhallerFor(java.lang.Object o)`
    `void` | `marshalObject(java.lang.Object object, C converter)`
    `boolean` | `supports(java.lang.Object object)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public ChainedConverterConfiguration.ChainedObjectMarshaller(ObjectMarshaller<C> om, ChainedObjectMarshaller<C> next)

  - ### Method Detail

    - #### public ObjectMarshaller<C> findMarhallerFor(java.lang.Object o)

    - #### public void marshalObject(java.lang.Object object, C converter)

    - #### public boolean supports(java.lang.Object object)